> For the complete documentation index, see [llms.txt](https://docs.morpara.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.morpara.com/tr/en/api-documentation/editor/checkpayment.md).

# Payment Inquiry

The Payment Inquiry service is used when the result of a payment transaction:

* cannot be obtained from the response information due to technical problems,
* the transaction result needs to be re-verified

is required.

With this service, the final status of a previously initiated payment **final status** (`Successful`, `Failed`, `Pending` etc.) can be queried again through the system.

> ℹ️ The payment inquiry operation **is for information purposes only**, it does not change the payment status.

***

### Endpoint

```http
POST /v1/Payment/CheckPayment
```

***

### Headers

| Key            | Type   | Description                          | Example              |
| -------------- | ------ | ------------------------------------ | -------------------- |
| x-ClientID     | String | Unique identifier for the API client | your-client-id       |
| x-ClientSecret | String | Secret key for the API client        | your-secret-key      |
| x-GrantType    | String | Type of access token used            | client\_credentials  |
| x-Scope        | String | API scope                            | pf\_write, pf\_read  |
| x-Timestamp    | String | Request timestamp                    | 2024-12-17T12:34:56Z |

***

### Request Body

| Field          | Required | Type    | Description                                        | Example                 |
| -------------- | -------- | ------- | -------------------------------------------------- | ----------------------- |
| merchantId     | ✅        | Integer | Unique identifier for the merchant                 | 100000000000004         |
| conversationId | ✅        | String  | Unique identifier created for transaction tracking | MSD2024030500000000115  |
| sign           | ✅        | String  | Digital signature for request verification         | AAVWY3RZKJVVCEAD8LDQB4K |

***

### Response Body

The payment inquiry service returns the **current status** and details of the queried payment.

#### Sample Request

```http
POST /v1/Payment/CheckPayment
Content-Type: application/json
x-ClientID: your-client-id
x-ClientSecret: your-secret-key
x-GrantType: client_credentials
x-Scope: pf_write, pf_read
x-Timestamp: 2024-12-17T12:34:56Z
```

```
{
  "merchantId": 100000000000004,
  "conversationId": "MSD2024030500000000115",
  "sign": "AAVWY3RZKJVVCEAD8LDQB4K..."
}
```

#### Sample Response

```json
{
  "responseCode": "B0000",
  "responseDescription": "Approved",
  "responseDate": "02/06/2025 15:45:31",
  "mdStatus": "",
  "conversationId": "YBS57148868202773272",
  "orderId": "5000000045202502030049",
  "paymentId": "5000000045202502030049",
  "bankUniqueReferenceNumber": "503715446698",
  "paymentInstrumentType": "CARD",
  "transactionDate": "02/06/2025 15:45:17",
  "transactionStatus": "Normal",
  "transactionType": "Sale",
  "paymentInfo": {
    "installmentCommission": 0.25,
    "installmentCount": 1,
    "amount": 25.00,
    "currency": "949",
    "authCode": "683819"
  },
  "sign": "AVPGVFPHPS+HXCKT4IWQ6EYL/UMYQANXXHQ6YTNNMA8="
}

```
